clang-tools 6.0.0

Functions | Variables
clang::ast_matchers Namespace Reference

## Functions
| AST_MATCHER (VarDecl, isAsm)

## Variables
const internal::VariadicDynCastAllOfMatcher< Decl, FileScopeAsmDecl > | fileScopeAsmDecl

## Function Documentation

## ◆ AST_MATCHER()

clang::ast_matchers::AST_MATCHER | ( | VarDecl | ,
|  | isAsm |
| ) |  |

Definition at line 18 of file NoAssemblerCheck.cpp.

## Variable Documentation

## ◆ fileScopeAsmDecl

const internal::VariadicDynCastAllOfMatcher<Decl, FileScopeAsmDecl> clang::ast_matchers::fileScopeAsmDecl

Definition at line 20 of file NoAssemblerCheck.cpp.